Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.application
Enum ProjectStage

    java.lang.Object
      java.lang.Enum<ProjectStage>
          javax.faces.application.ProjectStage

All Implemented Interfaces:
  Serializable, Comparable<ProjectStage>

    public enum ProjectStage

extends Enum<ProjectStage>

This class enables a feature similar to the `RAILS_ENV` feature of the Ruby on Rails web framework. The constants in this class represent the current state of the running application in a typical product development lifecycle. The value of this state may be queried at any time after application startup by calling `Application.getProjectStage()`.

Since:
  2.0

Enum Constant Summary
`Development` This value indicates the currently running application is right now, at this moment, being developed.
`Production` This value indicates the currently running application is deployed in production.
`SystemTest` This value indicates the currently running application is undergoing system testing.
`UnitTest` This value indicates the currently running application is undergoing unit testing.

Field Summary
`static String` | `PROJECT_STAGE_JNDI_NAME` The value of this constant is the name used for JNDI lookups for setting the current value to be returned by `Application.getProjectStage()`.
`static String` | `PROJECT_STAGE_PARAM_NAME` The value of this constant is the value of the `param-name` for setting the current value to be returned by `Application.getProjectStage()`.

Method Summary
`static ProjectStage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProjectStage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Development

    public static final ProjectStage Development

  This value indicates the currently running application is right now, at this moment, being developed. This value will usually be set during iterative development.

### UnitTest

    public static final ProjectStage UnitTest

  This value indicates the currently running application is undergoing unit testing.

### SystemTest

    public static final ProjectStage SystemTest

  This value indicates the currently running application is undergoing system testing.

### Production

    public static final ProjectStage Production

  This value indicates the currently running application is deployed in production.

Field Detail

### PROJECT_STAGE_PARAM_NAME

    public static final String PROJECT_STAGE_PARAM_NAME

  The value of this constant is the value of the `param-name` for setting the current value to be returned by `Application.getProjectStage()`.

  See Also:
    Constant Field Values

### PROJECT_STAGE_JNDI_NAME

    public static final String PROJECT_STAGE_JNDI_NAME

  The value of this constant is the name used for JNDI lookups for setting the current value to be returned by `Application.getProjectStage()`.

  See Also:
    Constant Field Values

Method Detail

### values

    public static ProjectStage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProjectStage c : ProjectStage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProjectStage valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.